%define major   3
%define libname %mklibname minizip-ng %{major}
%define devname %mklibname minizip-ng -d

Name:           minizip-ng
Version:        3.0.7
Release:        %mkrel 1
Summary:        Fork of the popular zip manipulation library found in the zlib distribution
Group:          System/Libraries
License:        zlib
URL:            https://github.com/nmoinvaz/minizip-ng
Source0:        https://github.com/nmoinvaz/minizip-ng/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  gcc-c++
BuildRequires:  libbsd-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  libzstd-devel
BuildRequires:  xz-devel
BuildRequires:  openssl-devel

%description
minizip-ng is a zip manipulation library written in C.

The motivation behind this fork has been the need for new features and bug
fixes to the original library which had not been maintained for a long period
of time. The code has been largely refactored and rewritten in order to help
improve maintainability and readability. A compatibility layer has been
provided for consumers of the original minizip library.

%package -n %{libname}
Summary:    Fork of the popular zip manipulation library found in the zlib distribution
Group:      System/Libraries

%description -n %{libname}
minizip-ng is a zip manipulation library written in C.

The motivation behind this fork has been the need for new features and bug
fixes to the original library which had not been maintained for a long period
of time. The code has been largely refactored and rewritten in order to help
improve maintainability and readability. A compatibility layer has been
provided for consumers of the original minizip library.

%package -n %{devname}
Summary:    Development files for %{name}
Requires:   %{libname} = %{version}-%{release}
Provides:   minizip-ng-devel = %{version}-%{release}
#Conflicts:  %%{_lib}minizip-devel < 3.0.7

%description -n %{devname}
Development files for %{name} library.

%prep
%autosetup -p 1 -n %{name}-%{version}

%build
%cmake -GNinja \
  -DMZ_BUILD_TESTS:BOOL=ON \
  -DSKIP_INSTALL_BINARIES:BOOL=ON \
  -DCMAKE_INSTALL_INCLUDEDIR=include/minizip-ng \
  -DMZ_FORCE_FETCH_LIBS:BOOL=OFF \
  -DMZ_COMPAT:BOOL=ON \
  -DMZ_PROJECT_SUFFIX:STRING="-ng"
%cmake_build

%install
%cmake_install

#ln -s ./minizip %{buildroot}%{_includedir}/minizip-ng

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libminizip-ng.so.%{major}
%{_libdir}/libminizip-ng.so.%{version}

%files -n %{devname}
%{_libdir}/libminizip-ng.so
%{_libdir}/pkgconfig/minizip-ng.pc
%{_libdir}/cmake/minizip-ng/
%{_includedir}/minizip-ng/
#%%{_includedir}/minizip/


%changelog
* Fri Dec 30 2022 wally <wally> 3.0.7-1.mga9
+ Revision: 1928264
- update summaries and descriptions
- import based on .spec from Fedora

